# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "boxdd"
version = "0.4.0"
build = false
exclude = [
    "examples/**",
    "tests/**",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Safe, ergonomic Rust bindings for Box2D v3"
homepage = "https://github.com/Latias94/boxdd"
documentation = "https://docs.rs/boxdd"
readme = "README.md"
keywords = [
    "box2d",
    "physics",
    "game",
    "simulation",
]
categories = ["game-engines"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Latias94/boxdd"
resolver = "2"

[package.metadata.docs.rs]
all-features = false
no-default-features = false
features = []
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
bytemuck = ["dep:bytemuck"]
cgmath = ["dep:cgmath"]
default = []
disable-simd = ["boxdd-sys/disable-simd"]
glam = ["dep:glam"]
imgui-glow-testbed = []
mint = ["dep:mint"]
nalgebra = ["dep:nalgebra"]
pkg-config = ["boxdd-sys/pkg-config"]
serde = ["dep:serde"]
serialize = ["serde"]
simd-avx2 = ["boxdd-sys/simd-avx2"]
unchecked = []
validate = ["boxdd-sys/validate"]

[lib]
name = "boxdd"
path = "src/lib.rs"

[dependencies.boxdd-sys]
version = "0.4.0"

[dependencies.bytemuck]
version = "1.25"
optional = true

[dependencies.cgmath]
version = "0.18"
optional = true

[dependencies.glam]
version = "0.32"
optional = true

[dependencies.mint]
version = "0.5"
optional = true

[dependencies.nalgebra]
version = "0.34"
optional = true

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true

[dependencies.smallvec]
version = "1"

[dependencies.thiserror]
version = "2"

[dev-dependencies.serde_json]
version = "1"

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.dear-imgui-glow]
version = "0.11"

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.dear-imgui-rs]
version = "0.11"

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.dear-imgui-winit]
version = "0.11"

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.env_logger]
version = "0.11"

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.glow]
version = "0.17"

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.glutin]
version = "0.32"

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.glutin-winit]
version = "0.5"

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.winit]
version = "0.30"
